> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Label

Update an existing label. Pass the current label value as the `old_label` query parameter and provide the new label value and optional ID arrays in the request body.


## OpenAPI

````yaml openapi/labels.yaml put /networks/labels
openapi: 3.0.3
info:
  title: Everflow Network API - Labels
  description: >
    Endpoints for managing labels in the Everflow network. Labels are flexible
    custom tags that let everyone organize and filter data their own way. They
    can be applied to advertisers, affiliates, campaigns, offers, and offer
    groups for internal organization and searching. For an overview, see the
    [Segmentation
    guide](https://helpdesk.everflow.io/customer/offer-labels-categories-segmentation-options).
  version: 1.0.0
servers:
  - url: https://api.eflow.team/v1
security: []
tags:
  - name: Labels
paths:
  /networks/labels:
    put:
      tags:
        - Labels
      summary: Update Label
      parameters:
        - in: query
          name: old_label
          required: true
          schema:
            type: string
          description: The previous label value to update.
      requestBody:
        required: true
        content:
          application/json:
            example:
              label: top-performer-v2
              advertiser_ids:
                - 13
                - 26
              affiliate_ids:
                - 28
                - 35
              affiliate_tier_ids:
                - 3
                - 4
              campaign_ids: []
              offer_group_ids:
                - 2
              offer_ids:
                - 1
                - 8
                - 11
            schema:
              $ref: '#/components/schemas/LabelInput'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: boolean
                    description: Whether the operation was successful.
              example:
                result: true
      security:
        - API Key: []
components:
  schemas:
    LabelInput:
      type: object
      required:
        - label
      properties:
        label:
          type: string
          description: The label you want to add.
        advertiser_ids:
          type: array
          items:
            type: integer
          description: Which advertisers will have the label.
        affiliate_ids:
          type: array
          items:
            type: integer
          description: Which affiliates will have the label.
        campaign_ids:
          type: array
          items:
            type: integer
          description: Which campaigns will have the label.
        offer_ids:
          type: array
          items:
            type: integer
          description: Which offers will have the label.
        offer_group_ids:
          type: array
          items:
            type: integer
          description: Which offer groups will have the label.
        affiliate_tier_ids:
          type: array
          items:
            type: integer
          description: Which affiliate tiers will have the label.
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````